> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scoot.app/llms.txt
> Use this file to discover all available pages before exploring further.

# User Badge Data

Gets user badge data.


## OpenAPI

````yaml GET /api/v1/badging/user/badge/data
openapi: 3.0.2
info:
  title: Scoot Customer API - Complete Documentation
  version: 1.0.0
  description: >-
    Complete API documentation for Scoot customer-facing endpoints with full
    type definitions from the backend service.
servers:
  - url: https://api.scoot.app
    description: Production server
security: []
tags:
  - name: Social
    description: Social event management endpoints
  - name: Room
    description: Room management endpoints
  - name: Theme
    description: Theme and background management endpoints
  - name: Event
    description: Event registration and management endpoints
  - name: Recording
    description: Recording and transcription endpoints
  - name: Playlist
    description: Audio playlist management endpoints
  - name: Badging
    description: Badge and gamification endpoints
  - name: User
    description: User management endpoints
paths:
  /api/v1/badging/user/badge/data:
    get:
      tags:
        - BadgingController
      summary: GET /api/v1/badging/user/badge/data
      operationId: get__api_v1_badging_user_badge_data
      parameters:
        - in: query
          name: socialRoomSetId
          required: true
          schema:
            type: string
            format: uuid
        - in: query
          name: page
          required: false
          schema:
            type: integer
            default: 0
          description: Page number to get, used with pageSize
        - in: query
          name: size
          required: false
          schema:
            type: integer
            default: 20
          description: Number of items to get in one request, used with page
        - in: query
          name: sort
          required: false
          schema:
            type: string
          description: >-
            Property to sort by. Append ',' and directions 'asc/desc' to change
            direction
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BadgeData'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    BadgeData:
      type: object
      properties:
        title:
          type: string
        value:
          type: string
        multiValues:
          type: array
          items:
            type: string
        options:
          type: array
          items:
            type: string
        description:
          type: string
        required:
          type: boolean
        featured:
          type: boolean
        visibility:
          enum:
            - ALL
            - ACCOUNT_USERS
            - HOSTS
            - INTERNAL
        inputType:
          enum:
            - TEXT
            - PARAGRAPH
            - SINGLE_SELECT
            - MULTI_SELECT
            - NUMBER
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````